Package org.jboss.resteasy.core.registry

## Class RootNode

- java.lang.Object
- - org.jboss.resteasy.core.registry.RootNode

-     public class RootNode
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected javax.ws.rs.core.MultivaluedMap<String,​MethodExpression>` | `bounded` |
    `protected ConcurrentHashMap<MatchCache.Key,​MatchCache>` | `cache` |
    `protected SegmentNode` | `root` |
    `protected int` | `size` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RootNode()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected MethodExpression` | `addExpression​(String path, ResourceInvoker invoker)` |
    `void` | `addInvoker​(String path, ResourceInvoker invoker)` |
    `javax.ws.rs.core.MultivaluedMap<String,​ResourceInvoker>` | `getBounded()` |
    `int` | `getSize()` |
    `ResourceInvoker` | `match​(HttpRequest request, int start)` |
    `void` | `removeBinding​(String path, Method method)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### root

          protected SegmentNode root

    - #### size

          protected int size

    - #### bounded

          protected javax.ws.rs.core.MultivaluedMap<String,​MethodExpression> bounded

    - #### cache

          protected ConcurrentHashMap<MatchCache.Key,​MatchCache> cache

  - ### Constructor Detail

    - #### RootNode

          public RootNode()

  - ### Method Detail

    - #### getSize

          public int getSize()

    - #### getBounded

          public javax.ws.rs.core.MultivaluedMap<String,​ResourceInvoker> getBounded()

    - #### match

          public ResourceInvoker match​(HttpRequest request,
                                       int start)

    - #### removeBinding

          public void removeBinding​(String path,
                                    Method method)

    - #### addInvoker

          public void addInvoker​(String path,
                                 ResourceInvoker invoker)

    - #### addExpression

          protected MethodExpression addExpression​(String path,
                                                   ResourceInvoker invoker)